/* #region @keyframes */
@keyframes slideUp {
	from {
		opacity: 0;
		translate: 0 30px;
	}

	to {
		opacity: 1;
		translate: 0;
	}
}

/* #endregion */
/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}
}

/* #endregion */
/* #region Elements */
@view-transition {
	navigation: auto;
}

*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--gold);
	text-decoration: none;
	transition: var(--transition);

	&:hover {
		color: var(--goldlight);
	}
}

body {
	background-color: var(--bluedark);
	color: var(--blue);
	font-family: var(--font-sans);
}

h1, h2, h3 {
	font-weight: 400;
	line-height: 1.1;
	text-wrap: balance;
}

hr {
	border: 0;
	border-top: var(--px01) solid var(--bluegrey);
	margin-block: var(--px48);
}

html {
	scroll-behavior: smooth;
	scroll-padding-top: var(--px128);
	scrollbar-gutter: stable;
}

img {
	display: block;
	max-width: 100%;
}

li {
	font-size: var(--fz18);

	+ li {
		margin-top: var(--px20);
	}
}

p {
	font-size: var(--fz18);
	line-height: 1.5;
	margin-bottom: var(--px20);
	text-wrap: pretty;
}

ul {
	margin: var(--px24) 0 0 var(--px16);
}

/* #endregion */
/* #region Global */
.boldlist li {
	font-weight: 700;
}

.btn {
	background-color: transparent;
	border-radius: var(--radius);
	display: inline-block;
	font-size: var(--fz14);
	font-weight: 700;
	letter-spacing: var(--px02);
	line-height: 1;
	margin: 0;
	padding: var(--px20) var(--px24) var(--px16);
	text-transform: uppercase;
	transition: var(--transition);

	&:hover {
		cursor: pointer;
		text-decoration: none;
	}
}

.btn-gold {
	border: var(--px02) solid var(--goldlight);
	color: var(--goldlight);
	margin-top: var(--px16);

	&:hover {
		background-color: var(--goldlight);
		border-color: var(--gold);
		color: white;
	}
}

.content {
	margin-inline: auto;
	width: min(90%, var(--content-max-width, 1200px));
}

.nobullets {
	list-style: none;
	margin-left: 0 !important;

	li {
		padding-left: 0;
	}
}

.sidepic {
	background: whitesmoke;
	border: var(--px01) solid var(--blue);
	float: right;
	margin: var(--px96) 0 var(--px32) var(--px64);
	padding: var(--px08);
	width: 230px;

	@media (width < 700px) {
		float: none;
		margin: var(--px32) 0 0;
	}
}

.sub > .content {
	--content-max-width: 1000px;
}

/* #endregion */
/* #region Nav */
.home .nav a:hover {
	color: var(--goldlight);
}

.nav {
	position: relative;
	z-index: 10;

	@media (width < 1100px) {
		text-align: center;

		&.nav-open {
			max-height: 25rem;
		}
	}
}

.nav-grid {
	display: grid;
	gap: var(--px24);
	grid-auto-flow: column;

	@media (width < 1100px) {
		grid-auto-flow: row;
		max-height: 0;
		overflow: hidden;
		transition: var(--transition);
	}

	a {
		color: white;
		display: block;
		font-weight: 700;
		text-transform: uppercase;
		white-space: nowrap;

		&:hover {
			color: var(--goldlight);
		}
	}
}

.nav-toggle {
	color: white;
	cursor: pointer;
	display: none;
	font-size: var(--fz24);

	@media (width < 1100px) {
		display: block;
		font-size: var(--fz20);
		transition: var(--transition);
	}
}

/* #endregion */
/* #region Header */
.header {
	background-color: var(--blue90);
	padding-block: var(--px16);
	position: fixed;
	width: 100%;
	z-index: 10;

	@media (width < 1100px) {
		background-color: var(--blue90);
		text-align: center;
	}
}

.header-grid {
	align-items: center;
	display: grid;
	gap: var(--px16);
	grid-template-columns: 1fr auto;

	@media (width < 1100px) {
		grid-template-columns: auto;
	}

	.logo a {
		color: white;
		font-family: var(--font-logo);
		font-size: var(--fz40);
		font-weight: 400;
		letter-spacing: -1px;
		line-height: 1.1;
	}
}

/* #endregion */
/* #region Footer */
.footer {
	background: linear-gradient(to bottom, var(--blue80), var(--bluedark)), url("https://ripcord.sirv.com/PoblockiLaw/AdobeStock_176162883.jpeg") center/cover no-repeat;
	color: var(--white70);
	padding: var(--px48) 0 0;

	a {
		&:hover {
			color: var(--goldlight);
			text-decoration: underline;
		}
	}
}

.footer-address {
	text-align: left;

	@media (width < 900px) {
		text-align: center;
	}
}

.footer-address-sub {
	margin-bottom: var(--px64);
	text-align: center;
}

.footer-grid {
	display: grid;
	gap: var(--px32) 10vw;
	grid-template-columns: auto auto;
	justify-content: center;
	margin-bottom: var(--px32);

	@media (width < 900px) {
		grid-template-columns: auto;
	}

	h2 {
		font-size: var(--fz14);
		font-weight: 700;
		letter-spacing: var(--px02);
		margin-bottom: var(--px16);
		text-transform: uppercase;
	}
}

.footer-locations {
	width: 400px;

	@media (width < 900px) {
		text-align: center;
	}

	@media (width < 500px) {
		width: 100%;
	}
}

.footer-social {
	margin-bottom: var(--px16);

	a {
		&:hover {
			text-decoration: none;
		}
	}

	i {
		font-size: var(--fz32);
	}
}

/* #endregion */
/* #region Hero */
.hero {
	background: linear-gradient(to bottom, var(--blue80), transparent), url("https://ripcord.sirv.com/PoblockiLaw/AdobeStock_293250675.jpeg?cw=2450&ch=1200") center/cover no-repeat;
	color: white;
	text-align: center;

	a {
		color: var(--goldlight);

		&:hover {
			color: var(--goldsuperlight);
		}
	}

	h1 {
		color: var(--white90);
		font-size: var(--fz60);
		font-weight: 700;
		letter-spacing: -1px;
		line-height: 1.1;
		margin-bottom: var(--px16);
	}

	h2 {
		font-size: var(--fz32);
	}
}

.hero-container {
	padding-block: 20vh 50vh;

	> * {
		animation: slideUp 1s ease both;
	}
}

.hero-delay1 {
	animation-delay: .5s;
}

.hero-delay2 {
	animation-delay: 1s;
}

.hero-grid {
	display: grid;
	gap: var(--px32);
	grid-template-columns: repeat(6, auto);
	justify-content: center;
	margin-top: var(--px48);

	@media (width < 700px) {
		gap: var(--px16);
		grid-template-columns: repeat(3, auto);

		a:not(:first-of-type):before {
			content: "";
		}
	}

	@media (width < 500px) {
		gap: var(--px08);
		grid-template-columns: auto auto;
	}
}

.hero-grid a {
	font-weight: 700;
	letter-spacing: var(--px01);
	line-height: 1;
	position: relative;
	text-transform: uppercase;
}

.hero-grid a:not(:first-of-type):before {
	color: var(--white50);
	content: "\2022";
	display: inline-block;
	left: -22px;
	position: absolute;
	top: -1px;
}

/* #endregion */
/* #region Home-Intro */
.home-intro {
	background-color: white;
}

.home-intro-grid {
	display: grid;
	grid-template-columns: 1fr 300px 550px 1fr;

	@media (width < 900px) {
		grid-template-columns: auto;
		justify-content: center;
		text-align: center;
	}
}

.home-intro-grid-img {
	img {
		max-width: 300px;
	}

	@media (width < 900px) {
		padding: var(--px32) 0 0;

		img {
			border: var(--px01) solid var(--blue);
			margin: 0 auto;
			padding: var(--px04);
			width: 250px;
		}
	}

	@media (width < 500px) {
		img {
			width: 200px;
		}
	}
}

.home-intro-grid-left {
	background-color: var(--blue);
}

.home-intro-grid-right {
	padding: var(--px48);
	text-align: left;

	@media (width < 900px) {
		padding-top: var(--px16);
		text-align: center;

		li {
			font-size: var(--fz14);
			list-style: none;
		}
	}

	h2 {
		font-size: var(--fz16);
		font-weight: 700;
		letter-spacing: var(--px02);
		margin-bottom: var(--px16);
		text-transform: uppercase;
	}

	li {
		font-size: var(--fz16);
		font-weight: 700;
		text-transform: uppercase;
	}

	p {
		font-size: var(--fz20);
		text-wrap: balance;
	}
}

/* #endregion */
/* #region Home-Practice */
.home-practice {
	background-color: whitesmoke;
	padding-block: var(--px80);

	h2 {
		font-size: var(--fz32);
		font-weight: 700;
		margin-bottom: var(--px48);
		text-align: center;
		text-transform: uppercase;
	}
}

.home-practice-grid {
	display: grid;
	font-weight: 700;
	gap: var(--px24);
	grid-template-columns: repeat(5, 1fr);
	margin-bottom: var(--px48);
	text-transform: uppercase;

	@media (width < 1100px) {
		grid-template-columns: repeat(4, 1fr);
	}

	@media (width < 900px) {
		grid-template-columns: repeat(3, 1fr);
	}

	@media (width < 700px) {
		grid-template-columns: repeat(2, 1fr);
	}

	@media (width < 500px) {
		grid-template-columns: auto;
	}

	a {
		background-color: var(--blue10);
		display: block;
		font-size: var(--fz14);
		padding: var(--px16);
		text-align: center;
		transition: var(--transition);

		&:hover {
			background-color: var(--goldlight);
			color: white;
		}
	}

	i {
		display: inline-block;
		font-size: var(--fz32);
		margin-top: var(--px08);
	}
}

.home-practice-summary {
	text-align: center;

	p {
		font-size: var(--fz20);
		margin-inline: auto;
		width: min(800px, 100%);
	}
}

/* #endregion */
/* #region Home-Quote */
.home-quote {
	background-color: var(--gold);
	padding: var(--px48) 0;
	text-align: center;

	a {
		color: white;
	}

	h2 {
		font-size: var(--fz40);
		letter-spacing: -1px;
		line-height: 1.2;
		margin-bottom: var(--px08);
		text-align: center;
	}

	span {
		text-decoration: underline;
	}
}

/* #endregion */
/* #region Sub */
.sub {
	background: linear-gradient(to bottom, var(--bluelight40), white 200px), url("https://ripcord.sirv.com/PoblockiLaw/AdobeStock_293250675.jpeg") top/auto no-repeat;
	padding: 12rem 0 var(--px96);

	@media (width < 1100px) {
		padding-top: var(--px128);
	}

	a {
		&:hover {
			text-decoration: underline;
		}
	}

	h1 {
		border-bottom: var(--px03) solid var(--blue20);
		display: inline-block;
		font-size: var(--fz40);
		font-weight: 700;
		padding-bottom: .7em;
	}

	h2 {
		font-size: var(--fz20);
		font-weight: 700;
		margin-block: var(--px40) var(--px06);
		text-transform: uppercase;
	}

	li {
		font-size: var(--fz18);
		line-height: 1.3;
		padding-left: var(--px08);

		+ li {
			margin: var(--px08) 0 0;
		}
	}

	ul {
		margin: 0 0 var(--px32) var(--px24);
	}
}

/* #endregion */
/* #region Sub-Contact */
.sub-contact-grid {
	display: grid;
	gap: var(--px32) 0;
	grid-template-columns: auto auto;

	@media (width < 900px) {
		grid-template-columns: auto;
	}

	img {
		width: 400px;
	}
}

.sub-contact-map {
	border: var(--px01) solid var(--blue20);
}

/* #endregion */
/* #region Sub-Testimonials */
.sub-testimonials-grid {
	display: grid;
	gap: var(--px16);
	grid-template-columns: auto;
	margin-top: var(--px48);

	@media (width < 900px) {
		grid-template-columns: auto;
	}

	> div {
		background: white;
		border: var(--px01) solid var(--blue20);
		border-radius: var(--radius);
		padding: var(--px32) var(--px32) var(--px16);

		p {
			&:first-of-type {
				position: relative;

				&::after {
					content: close-quote;
				}

				&::before {
					content: open-quote;
					font-family: serif;
					font-size: var(--fz32);
					left: -.5em;
					position: absolute;
					top: -.4rem;
				}

				&::first-line {
					font-size: var(--fz24);
					font-weight: 700;
				}
			}

			&:last-of-type {
				font-size: var(--fz12);
				font-weight: 700;
				text-transform: uppercase;
			}
		}
	}
}

/* #endregion */